Index: /extensions/GrumPluginClasses/js/ui.tagSelector.js
===================================================================
--- /extensions/GrumPluginClasses/js/ui.tagSelector.js	(revision 8960)
+++ /extensions/GrumPluginClasses/js/ui.tagSelector.js	(revision 8961)
@@ -22,6 +22,7 @@
  *
  * | release | date       |
- * | 1.0.0   | 2010/10/10 | first release
+ * | 1.0.0   | 2010/10/10 | * first release
  * |         |            |
+ * | 1.1.0   | 2010/11/03 | * add 'isValid' method
  * |         |            |
  * |         |            |
@@ -93,4 +94,5 @@
                     cache:[],
                     timerHandle:null,
+                    isValid:true
                   }
                 );
@@ -118,5 +120,5 @@
                       {
                         html: '',
-                        'class':'ui-tag-selector-selected-tag-list',
+                        'class':'ui-tag-selector-selected-tag-list'
                       }
                     ),
@@ -151,5 +153,5 @@
                             display:'none',
                             position:'absolute',
-                            zIndex:9999,
+                            zIndex:9999
                           }
                         }
@@ -166,5 +168,5 @@
                           padding:'0px',
                           margin:'0px',
-                          overflow:"auto",
+                          overflow:"auto"
                         }
                       }
@@ -217,9 +219,7 @@
       options: function (value)
         {
-          this.each(function()
-            {
-              var $this=$(this);
-              privateMethods.setOptions($this, value);
-              return($this);
+          return this.each(function()
+            {
+              privateMethods.setOptions($(this), value);
             }
           );
@@ -229,11 +229,9 @@
       ignoreCase: function (value)
         {
-          if(value)
-          {
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setIgnoreCase($this, value);
-                return($this);
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setIgnoreCase($(this), value);
               }
             );
@@ -256,11 +254,9 @@
       inputNumCar: function (value)
         {
-          if(value)
-          {
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setInputNumCar($this, value);
-                return($this);
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setInputNumCar($(this), value);
               }
             );
@@ -311,11 +307,9 @@
       maximumTagLoaded: function (value)
         {
-          if(value)
-          {
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setMaximumTagLoaded($this, value);
-                return($this);
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setMaximumTagLoaded($(this), value);
               }
             );
@@ -338,11 +332,9 @@
       listMaxWidth: function (value)
         {
-          if(value)
-          {
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setListMaxWidth($this, value);
-                return($this);
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setListMaxWidth($(this), value);
               }
             );
@@ -365,11 +357,9 @@
       listMaxHeight: function (value)
         {
-          if(value)
-          {
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setListMaxHeight($this, value);
-                return($this);
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setListMaxHeight($(this), value);
               }
             );
@@ -393,11 +383,9 @@
       serverCallDelay: function (value)
         {
-          if(value)
-          {
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setServerCallDelay($this, value);
-                return($this);
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setServerCallDelay($(this), value);
               }
             );
@@ -421,11 +409,9 @@
       serverUrl: function (value)
         {
-          if(value)
-          {
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setServerUrl($this, value);
-                return($this);
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setServerUrl($(this), value);
               }
             );
@@ -448,11 +434,9 @@
       textStart: function (value)
         {
-          if(value)
-          {
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setTextStart($this, value);
-                return($this);
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setTextStart($(this), value);
               }
             );
@@ -475,11 +459,9 @@
       textFound: function (value)
         {
-          if(value)
-          {
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setTextFound($this, value);
-                return($this);
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setTextFound($(this), value);
               }
             );
@@ -502,11 +484,9 @@
       textDisplay: function (value)
         {
-          if(value)
-          {
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setTextDisplay($this, value);
-                return($this);
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setTextDisplay($(this), value);
               }
             );
@@ -529,11 +509,9 @@
       filter: function (value)
         {
-          if(value)
-          {
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setFilter($this, value);
-                return($this);
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setFilter($(this), value);
               }
             );
@@ -556,11 +534,9 @@
       mode: function (value)
         {
-          if(value)
-          {
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setMode($this, value);
-                return($this);
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setMode($(this), value);
               }
             );
@@ -583,5 +559,5 @@
       value: function (value)
         {
-          if(value)
+          if(value!=null)
           {
             // set selected value
@@ -596,7 +572,28 @@
             // return the selected tags
             var properties=this.data('properties');
+
             return(properties.tags);
           }
         }, // value
+
+      isValid: function (value)
+        {
+          if(value!=null)
+          {
+            // set selected value
+            return this.each(function()
+              {
+                privateMethods.setIsValid($(this), value);
+              }
+            );
+          }
+          else
+          {
+            // return the selected tags
+            var properties=this.data('properties');
+
+            return(properties.isValid);
+          }
+        }, // isValid
 
       load: function (value)
@@ -610,9 +607,7 @@
           {
             // set selected value
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setEventLoad($this, value);
-                return($this);
+            return this.each(function()
+              {
+                privateMethods.setEventLoad($(this), value);
               }
             );
@@ -630,9 +625,7 @@
           {
             // set selected value
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setEventPopup($this, value);
-                return($this);
+            return this.each(function()
+              {
+                privateMethods.setEventPopup($(this), value);
               }
             );
@@ -658,9 +651,7 @@
           {
             // set selected value
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setEventAdd($this, value);
-                return($this);
+            return this.each(function()
+              {
+                privateMethods.setEventAdd($(this), value);
               }
             );
@@ -686,9 +677,7 @@
           {
             // set selected value
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setEventRemove($this, value);
-                return($this);
+            return this.each(function()
+              {
+                privateMethods.setEventRemove($(this), value);
               }
             );
@@ -764,8 +753,31 @@
         },
 
+      setIsValid : function (object, value)
+        {
+          var objects=object.data('objects'),
+              properties=object.data('properties');
+
+          if(properties.isValid!=value)
+          {
+            properties.isValid=value;
+            if(properties.isValid)
+            {
+              objects.container.removeClass('ui-error');
+              objects.input.removeClass('ui-error');
+            }
+            else
+            {
+              objects.container.addClass('ui-error');
+              objects.input.addClass('ui-error');
+            }
+          }
+          return(properties.isValid);
+        },
+
       setIgnoreCase : function (object, value)
         {
           var options=object.data('options'),
               properties=object.data('properties');
+
           if((!properties.initialized || options.ignoreCase!=value) && (value==true || value==false))
           {
@@ -780,4 +792,5 @@
               objects=object.data('objects'),
               properties=object.data('properties');
+
           if((!properties.initialized || options.inputNumCar!=value) && value>0)
           {
@@ -805,4 +818,5 @@
           var options=object.data('options'),
               properties=object.data('properties');
+
           if((!properties.initialized || options.setMaximumTagLoaded!=value) && value>=0)
           {
@@ -817,4 +831,5 @@
           var options=object.data('options'),
               properties=object.data('properties');
+
           if(!properties.initialized || options.textStart!=value)
           {
@@ -828,4 +843,5 @@
           var options=object.data('options'),
               properties=object.data('properties');
+
           if(!properties.initialized || options.textFound!=value)
           {
@@ -839,4 +855,5 @@
           var options=object.data('options'),
               properties=object.data('properties');
+
           if(!properties.initialized || options.textDisplay!=value)
           {
@@ -851,4 +868,5 @@
               properties=object.data('properties'),
               objects=object.data('objects');
+
           if((!properties.initialized || options.listMaxWidth!=value) && value>=0)
           {
@@ -871,4 +889,5 @@
               properties=object.data('properties'),
               objects=object.data('objects');
+
           if((!properties.initialized || options.listMaxHeight!=value) && value>=0)
           {
@@ -890,4 +909,5 @@
           var options=object.data('options'),
               properties=object.data('properties');
+
           if((!properties.initialized || options.serverCallDelay!=value) && value>0 )
           {
@@ -901,4 +921,5 @@
           var options=object.data('options'),
               properties=object.data('properties');
+
           if(!properties.initialized || options.serverUrl!=value)
           {
@@ -914,4 +935,5 @@
           var options=object.data('options'),
               properties=object.data('properties');
+
           if((!properties.initialized || options.mode!=value) && (value=='admin' || value=='public'))
           {
@@ -925,4 +947,5 @@
           var options=object.data('options'),
               properties=object.data('properties');
+
           if((!properties.initialized || options.filter!=value) && (value=='all' || value=='affected'))
           {
@@ -935,6 +958,5 @@
       setValue : function (object, value)
         {
-          var options=object.data('options'),
-              properties=object.data('properties'),
+          var properties=object.data('properties'),
               objects=object.data('objects');
 
@@ -1071,5 +1093,5 @@
                 {
                   objects.selectorList.html('Error ! '+msg);
-                },
+                }
             }
          );
@@ -1080,5 +1102,4 @@
           // clear the cache tag list
           var objects=object.data('objects'),
-              options=object.data('options'),
               properties=object.data('properties');
 
@@ -1086,4 +1107,5 @@
           properties.cache=[];
         },
+
       cacheAddItems : function (object, listItems)
         {
@@ -1098,5 +1120,5 @@
               {
                 id:listItems[i].id,
-                name:listItems[i].name,
+                name:listItems[i].name
               }
             );
@@ -1213,4 +1235,5 @@
         {
           var options=object.data('options');
+
           options.popup=value;
           object.unbind('tagSelectorPopup');
@@ -1218,7 +1241,9 @@
           return(options.popup);
         },
+
       setEventAdd : function (object, value)
         {
           var options=object.data('options');
+
           options.add=value;
           object.unbind('tagSelectorAdd');
@@ -1226,7 +1251,9 @@
           return(options.add);
         },
+
       setEventRemove : function (object, value)
         {
           var options=object.data('options');
+
           options.remove=value;
           object.unbind('tagSelectorRemove');
@@ -1234,4 +1261,5 @@
           return(options.remove);
         },
+
       setEventLoad : function (object, value)
         {
@@ -1253,4 +1281,5 @@
           }
         },
+
       setTimerHandle : function(object)
         {
Index: /extensions/GrumPluginClasses/main.inc.php
===================================================================
--- /extensions/GrumPluginClasses/main.inc.php	(revision 8960)
+++ /extensions/GrumPluginClasses/main.inc.php	(revision 8961)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Grum Plugins Classes.3
-Version: 3.3.4
+Version: 3.4.0
 Description: Collection de classes partagées entre mes plugins (existants, ou à venir) / Partaged classes between my plugins (actuals or futures)
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=199
@@ -104,6 +104,32 @@
 |         |            |   . optimization for RBuilder loading language management
 |         |            |
-| 3.3.4   | 2011/01/20 | * Add languages
-|         |            |
+| 3.4.0   | 2011/01/28 | * mantis bug:1984
+|         |            |   . RBuilder returns an error message when one picture
+|         |            |     have multiple categories
+|         |            |
+|         |            | * fix bug:2109
+|         |            |   . Incompatibility with IE8 (rbuilder)
+|         |            |
+|         |            | * Fix bug on simpleTip.js (script release 1.0.1)
+|         |            |
+|         |            | * GPCCore, GPCTranslate, GPCUsersGroups classes updated
+|         |            |
+|         |            | * add jQuery plugin pack & associated css files
+|         |            |   . inputText
+|         |            |   . inputList
+|         |            |   . inputRadio
+|         |            |   . inputCheckbox
+|         |            |   . inputColorPicker
+|         |            |   . inputColorsFB
+|         |            |   . inputConsole
+|         |            |   . inputDotArea
+|         |            |   . inputNum
+|         |            |   . inputPosition
+|         |            |   . inputStatusBar
+|         |            |
+|         |            | * update categorySelector jQuery plugin
+|         |            |
+|         |            | * minify js scripts (larger size than packed files but
+|         |            |   better performance)
 |         |            |
 |         |            |
@@ -137,5 +163,4 @@
     GPCUsersGroups.class.inc.php
 
-    genericjs.class.inc.php  + genericjs.js
 
 See each file to know more about them
